const
  PrettyLength = 652;
  PrettyNames: array[0..PrettyLength] of string = (
    'AA',
    'AAA',
    'ABC',
    'ADO',
    'ATA', 'IATA', 'SATA',
    'About',
    'Absolute', 'Abs',
    'Access',
    'Alpha',
    'Anim',
    'ANSI',
    'API',
    'ASCII',
    'Arg',
    'Art',
    'Asus',
    'Attrib', 'Attr',
    'Audio',
    'Application', 'App',
    'Baby',
    'Balloon', 'Ball',
    'Bar',
    'Base',
    'Batch',
    'BDE',
    'Begin',
    'Bevel', 'Bvl',
    'Beta',
    'Big',
    'Bin',
    'Bind', 'Bnd',
    'Blue',
    'BIOS',
    'Bitmap', 'Bit',
    'Board',
    'Book',
    'Borland', 'Bor',
    'Bottom',
    'Box',
    'Brush',
    'Browse',
    'BSD',
    'Bug',
    'Builder', 'Build', 'Bld',
    'Bullet',
    'Button', 'Btn',
    'Byte',
    'C++',
    'Cable',
    'Calc',
    'Call', 'Cal',
    'Camera', 'Cam',
    'Canvas',
    'Caption', 'Cap',
    'Capacity',
    'Case',
    'Catalog', 'Cat',
    'Character', 'Char', 'Ch',
    'Change', 'Chg',
    'Chart',
    'Chat',
    'Check', 'Chk',
    'Chipset', 'Chip',
    'Class', 'CLSID',
    'Clean',
    'Clear',
    'Client',
    'Collect',
    'Code',
    'Color', 'Clr',
    'Column', 'Col',
    'Combo',
    'Command', 'Cmd',
    'Common',
    'Compare',
    'Compute', 'Comp',
    'Component', 'Com',
    'Companion', 'Company',
    'Console', 'Con',
    'Constant', 'Cons',
    'Control', 'Ctrl', 'Ctl',
    'Convert', 'Conv', 'Cvt',
    'Cool',
    'Copy',
    'CPU',
    'CRC',
    'Cross',
    'CSV',
    'Cur',
    'Currency',
    'Current',
    'Cursor',
    'Custom', 'Cust',
    'Cut',
    'cxpos',
    'D3', 'D4', 'D5', 'D6', 'D7', 'D8', 'D9',
    'Data', 'db',
    'Date',
    'Day',

    //'DCL3', 'DCL4', 'DCL5', 'DCL6', 'DCL7', 'DCL8', 'DCL9', 'DCL',
    'DCL',
    'DDE', 'DFE',

    'DJP', 'PJ', 'S_', 'S-', 'UU-', 'EXAC', 'TAXES', 'Daftar', 'Daft',

    'Decode',
    'Default', 'Def',
    'Design', 'Dsgn',
    'Delete', 'Del',
    'Delphi',
    'Demo',
    'Department', 'Dept',
    'Deploy',
    'Dialog', 'Dlg',
    'Dict',
    'Diff',
    'Directory', 'Dir',
    'Dist',
    'Disk',
    'Division', 'Divide', 'Div',
    'DLL',
    'DMA', 'UDMA',
    'Document', 'Doc',
    'Don''t', 'Dont', 'DOS',
    'Drag',
    'Draw', 'Drive', 'Driver', 'Drv',
    'Drop',
    'Duplicate', 'Dup',
    'Edit', 'Edt', 'Ed',
    'Ellips',
    'End',
    'Encode',
    'Engine', 'Eng',
    'Error', 'Err',
    'Eval',
    'Event',
    'Excel',
    'Exit',
    'Exact', 'Example', 'Ex',
    'Expand', 'Exp',
    'Export',
    'Extended',
    'Extension', 'Ext',
    'Expression',
    'External',
    'Extra',
    'Factory', 'Fact',
    'Fast',
    'FAQ',
    'Fix',
    'FTP',
    'Field', 'Fld',
    'File',
    'Find',
    'Font',
    'Form',
    'Format', 'Fmt',
    'Frame', 'Frm',
    'Free',
    'Freeware',
    'Function', 'Func',
    'Game',
    'Gamma',
    'Gauge',
    'General', 'Gen',
    'Generate',
    'Generic',
    'Get',
    'Global',
    'Gradient', 'Grad',
    'Graphic', 'Graph', 'Gra',
    'Grid',
    'Group',
    'GUID', 'Guide',
    'Hand',
    'Hard',
    'Head',
    'Height',
    'Helpme', 'Help',
    'Hint',
    'Hist',
    'Hot',
    'HTTP',
    'HTML', 'HTM',
    'Huge',
    'Icon', 'Ico',
    'IAA',
    'IDE', 'ID',
    'Image', 'Img',
    'Incre', 'Inc',
    'Index', 'Idx',
    'Information', 'Info', 'Inf',
    'Init', 'Ini',
    'Inverse', 'Inv',
    'Insert', 'Ins',
    'Install', 'Inst',
    'Integer', 'Int',
    'Intel',
    'Inter',
    'Intl',
    'IOCTL', 'IO',
    'ISO',
    'Item',
    'Key',
    'Kylyx',
    'Label', 'Lbl', 'Lb',
    'Layout',
    'Language', 'Lang', 'Lng', 'LAN',
    'Large',
    'Left',
    'Less',
    'Letter', 'Let',
    'License', 'Lic',
    'Linux',
    'Lib',
    'Light', 'Lite',
    'Line',
    'Link',
    'List', 'Lst',
    'Load',
    'Lock',
    'Logo',
    'Long',
    'LookUp', 'Look',
    'Love',
    'Main',
    'Make', 'Mak',
    'Manual', 'Man',
    'Map',
    'Margin',
    'Mask',
    'Math',
    'Match',
    'Maximal', 'Maximum', 'Max',
    'Medium', 'Med', 'Mid',
    'ME',
    'Memo',
    'Menu',
    'Macro',
    'Microsoft', 'Micro', 'MS',
    'Minimal', 'Minimum', 'Minus', 'Mini',
    'Minute', 'Min',
    'Miscellaneous', 'Misc',
    'Mixed',
    'Mixer', 'Mix',
    'Monitor', 'Mon',
    'Month',
    'Move',
    'Multiple', 'Multiply', 'Mult', 'MulDiv',
    'My',
    'Name',
    'Nav',
    'Neo',
    'New',
    'Nokia',
    'Note',
    'Notebook',
    'NT4', 'NT5',
    'Object', 'Obj',
    'OEM',
    'Off',
    'OK',
    'OLE',
    'Old',
    'One', 'On',
    'Open',
    'Option', 'Opt',
    'OS',
    'Output', 'Out',
    'Oval',
    'Pack',
    'Page', 'pg',
    'PageUp', 'PgUp',
    'Paint',
    'Panel', 'Pnl',
    'Paradox', 'Pdox',
    'Param', 'Par',
    'Password', 'Pass',
    'Paste',
    'Patch',
    'Pattern', 'Pat',
    'Pause',
    'Performance', 'Perform', 'Perf',
    'Pick',
    'Picture', 'Pic',
    'Play',
    'Plus',
    'PCMCIA', 'PCI', 'PC',
    'Pocket',
    'Pointer', 'Point', 'Ptr', 'pt',
    'PopUp', 'Pop',
    'Position', 'Pos',
    'Power',
    'Prev', 'Prior',
    'Printer', 'Print', 'Prn',
    'Procedure', 'Proc',
    'Professional',
    'Professor', 'Prof',
    'Promise',
    'Program', 'Prog', 'Pro',
    'Property', 'Prop',
    'QBE', 'QB',
    'Query', 'Qry',
    'Quick',
    'RAID',
    'Radio',
    'Readme', 'Read',
    'Record', 'Rec',
    'Red',
    'Registry', 'Register', 'Reg',
    'Region', 'Rgn',
    'Release', 'Rel',
    'Remark', 'Rem',
    'Repeat', 'Rep',
    'Replace',
    'Report', 'Rpt',
    'Resource', 'Res',
    'Result',
    'Rich', 'RTF',
    'RTL',
    'Right',
    'ROM',
    'Randomize', 'Random', 'Rand',
    'Round',
    'Row',
    'Run',
    'RW',
    'Sample', 'Sam',
    'Save', 'Sav',
    'Scan',
    'Scr',
    'Screen',
    'Scroll', 'Scrl',
    'Search', 'Srch',
    'Second',
    'Section', 'Sect', 'Sec',
    'Seek', 'See',
    'Serial', 'Ser',
    'Server', 'Srvr', 'Svr',
    'Service', 'Svc',
    'Session',
    'Setting', 'Setup', 'Set',
    'Sex',
    'Shape',
    'Sierra',
    'Size', 'Siz', 'sz',
    'Small',
    'Source', 'Src',
    'Software', 'Soft',
    'Smart',
    'Sony',
    'Speed',
    'Spin',
    'Split',
    'SQL',
    'Standard', 'Std',
    'Static', 'Stat',
    'Status',
    'Star',
    'Storage',
    'Stop',
    'Stored', 'Store',
    'Stream', 'Strm',
    'String', 'Str',
    'Stub',
    'Subdiv', 'Sub',
    'Suite', 'Suit',
    'Super',
    'SWAG',
    'Syntax', 'Syn',
    'System', 'Sys',
    'Tab',
    'Tag',
    'Table', 'Tbl',
    'Test', 'tst',
    'TStr',
    'Text', 'TXT',
    'Temp', 'tmp',
    'Theme',
    'Thread', 'Thrd',
    'Timee', 'Time',
    'Tip',
    'Title',
    'Tool',
    'Top',
    'Track',
    'Trans',
    'Tray',
    'Tree',
    'Turbo',
    'Type', 'Typ',
    'Unit',
    'Unix',
    'Update', 'Upd', 'Up',
    'Upgrade', 'Upg',
    'URL',
    'User', 'Usr', 'USB',
    'Utility', 'Utils', 'Util',
    'V3', 'V4', 'V5', 'V6', 'V7', 'V8', 'V9',
    'Variable', 'Variant', 'Var',
    'Value', 'Val',
    'VB',
    'VGA', 'Video',
    'VIA',
    'VSS',
    //'VCL3', 'VCL4', 'VCL5', 'VCL6', 'VCL7', 'VCL8', 'VCL9', 'VCL',
    'VCL',

    'Version', 'Ver',
    'View', 'Vue',
    'Viewer', 'Vwr',
    'Warp',
    'Watch',
    'Wave', 'Wav',
    'Web',
    'Windows', 'WinNT', 'Win', '2K', 'W2K', 'XP',
    'Warez', 'Ware',
    'What',
    'Width',
    'Word',
    'Wrap',
    'Write',
    'WWW',
    'Year'
    //'.pas', '.paz', '.dpr', '.dpk',
    //'.asm', '.c', '.h', '.cpp', '.hpp',
    //'.cfg', '.ini', '.inc',
    //'.res', '.dpl', '.dpc', '.dcp', '.dcu', '.bpl',
    //'.bpr', '.bpg',
    //'.bin', '.obj', '.lib',
    //'.sys', '.vxd', '.dll',
    //'.exe', '.bat', '.com', '.cmd',
    //'.vbx', '.ocx',
    //'.bak', '.bac', '.old', '.txt', '.htm', '.html', '.rtf'
    );

